﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using C1.C1Schedule;


namespace UnboundModeGrouping
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {


            c1Schedule1.ViewType = C1.Win.C1Schedule.ScheduleViewEnum.WeekView;
            Appointment app;
            app = this.c1Schedule1.DataStorage.AppointmentStorage.Appointments.Add();
            app.Subject = "Meeting 1";
            app.Location = "Large Conference Room";
            app.Duration = TimeSpan.FromMinutes(45);
            app.Start = new DateTime(2020, 4, 2, 13, 30, 0);

            ResourceCollection rescol;
            rescol = c1Schedule1.DataStorage.ResourceStorage.Resources;
            Resource roomers = new Resource();
            roomers.Text = "Digital Projector 1";
            rescol.Insert(0, roomers);
            app.Resources.Add(roomers);

            roomers = new Resource();
            roomers.Text = "Digital Projector 2";
            rescol.Insert(1, roomers);

            roomers = new Resource();
            roomers.Text = "Digital Projector 3";
            rescol.Insert(2, roomers);       

            app = this.c1Schedule1.DataStorage.AppointmentStorage.Appointments.Add();
            app.Subject = "Meeting 2";
            app.Location = "Large Conference Room";
            app.Duration = TimeSpan.FromMinutes(45);
            app.Start = new DateTime(2020, 4, 4, 13, 30, 0);
            app.Resources.Add(roomers);
            c1Schedule1.GroupBy = "Resource";

        }
    }
}
